<?php
//Vérification (non authentifié = retour index)
session_start();

if(!$_SESSION['accreditation']=="Administrateur" && !$_SESSION['accreditation']=="Etudiant")
header('Location:../index.php');

include "../session/connexion.php"; //Conexnion à la BdD

$noGroupe=$_GET['Groupe']; //Récupération du no_groupe

//Retourne les infos relatives aux étudiants 
$etudiants=$objPdo->prepare("SELECT * FROM etudiant WHERE no_groupe='".$noGroupe."'");
$etudiants->execute();

while($rowEtudiants=$etudiants->fetch())
{
	
$idsession=$rowEtudiants['id_session']; //Stockage de la valeur dans une variable de travail

//Suppression de la session pour chaque étudiant	
$cleanIdSession=$objPdo->prepare("DELETE FROM session WHERE id_session='".$idsession."'");
$cleanIdSession->execute();

}

//Suppression du groupe (et des lignes etudiants associées)
$cleanGroupe=$objPdo->prepare("DELETE FROM groupe WHERE no_groupe='".$noGroupe."'");
$cleanGroupe->execute();

header("Location: ../accueil.php"); //Redirection vers l'accueil
?>